# Copyright Pierre-Elliott Bécue <becue@crans.org>
#
# CMake configuration file to help the detection of libgaminggear.
#
# License: same as upstream's license.

get_filename_component(GAMINGGEAR_CMAKE_DIR "/usr/lib/i386-linux-gnu/cmake/gaminggear0" PATH)
set(GAMINGGEAR0_INCLUDE_DIR "/usr/include/gaminggear-0")
set(GAMINGGEAR0_LIBRARY "gaminggear")
set(GAMINGGEAR0_WIDGET_LIBRARY "gaminggearwidget")
set(GAMINGGEAR0_FX_PLUGIN_DIR "/usr/lib/i386-linux-gnu/gaminggear_plugins")

FILE(READ "${GAMINGGEAR0_INCLUDE_DIR}/gaminggear/gaminggear.h" _CONTENTS)
IF(_CONTENTS)
    STRING(REGEX REPLACE ".*#define[ \t]+GAMINGGEAR_VERSION_STRING[ \t]+\"([0-9.]+)\".*" "\\1" GAMINGGEAR0_VERSION "${_CONTENTS}")
ELSE()
    MESSAGE(FATAL_ERROR "Can't read ${GAMINGGEAR0_INCLUDE_DIR}/gaminggear/gaminggear.h")
ENDIF()
